<?php

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */


define("STRINGS", [
    "sign in" => "Sign In",
    "username" => "Username",
    "password" => "Password",
    "continue" => "Continue",
    "authcode" => "Authentication code",
    "2fa prompt" => "Enter the six-digit code from your mobile authenticator app.",
    "2fa incorrect" => "Authentication code incorrect.",
    "login incorrect" => "Login incorrect.",
    "no admin permission" => "You do not have permission to access this system.",
    "login server unavailable" => "Login server unavailable.  Try again later or contact technical support.",
    "account locked" => "This account has been disabled. Contact technical support.",
    "password expired" => "You must change your password before continuing.",
    "account terminated" => "Account terminated.  Access denied.",
    "account state error" => "Your account state is not stable.  Log out, restart your browser, and try again.",
    "welcome user" => "Welcome, {user}!",
    "sign out" => "Sign out",
    "settings" => "Settings",
    "options" => "Options",
    "404 error" => "404 Error",
    "page not found" => "Page not found.",
    "invalid parameters" => "Invalid request parameters.",
    "login server error" => "The login server returned an error: {arg}",
    "login server user data error" => "The login server refused to provide account information.  Try again or contact technical support.",
    "captcha error" => "There was a problem with the CAPTCHA (robot test).  Try again.",
    "home" => "Home",
    "users" => "Users",
    "more" => "More",
    "actions" => "Actions",
    "name" => "Name",
    "email" => "Email",
    "status" => "Status",
    "type" => "Type",
    "new user" => "New User",
    "total users" => "Total Users",
    "view users" => "View Users",
    "normal accounts" => "Normal Accounts",
    "locked accounts" => "Locked Accounts",
    "editing user" => "Editing {user}",
    "invalid userid" => "Invalid user ID.",
    "user saved" => "User saved.",
    "adding user" => "Adding new user",
    "placeholder name" => "John Doe",
    "placeholder username" => "jdoe",
    "placeholder email address" => "jdoe@example.com",
    "placeholder password" => "swordfish",
    "new password" => "New Password",
    "non-local account warning" => "This account is not locally managed.  Changes made here will not synchronize to the directory server and some attributes cannot be edited.",
    "delete user" => "Delete User",
    "really delete user" => "Are you sure you want to delete this user?  This action cannot be reversed.",
    "user deleted" => "User account deleted.",
    "user does not exist" => "User does not exist.",
    "logtime" => "Date/Time",
    "logtype" => "Event Type",
    "ip address" => "IP Address",
    "other data" => "Other",
    "security log" => "Security Log",
    "event type reference" => "Event Type Reference",
    "clear log" => "Clear Log",
    "really clear log" => "Are you sure you want to purge the security log?  This action cannot be reversed.",
    "log cleared" => "Security log cleared.",
    "removed n entries" => "Removed {n} entries",
    "security log entries" => "Security Log Entries",
    "view security log" => "View Security Log",
    "managers" => "Managers",
    "manager" => "Manager",
    "employee" => "Employee",
    "delete relationship" => "Delete Relationship",
    "really delete relationship" => "Are you sure you want to remove this manager-employee relationship?  This action cannot be reversed.",
    "relationship deleted" => "Relationship deleted.",
    "edit relationship" => "Edit Relationship",
    "adding relationship" => "Adding Relationship",
    "relationship added" => "Relationship added.",
    "permissions" => "Permissions",
    "permission" => "Permission",
    "new permission" => "New Permission",
    "delete permission" => "Delete Permission",
    "adding permission" => "Adding Permission",
    "user" => "User",
    "permission does not exist" => "Permission does not exist: {arg}",
    "really delete permission" => "Are you sure you want to revoke this permission?",
    "permission added" => "Permission assigned.",
    "permission deleted" => "Permission deleted.",
    "remove 2fa" => "Reset 2FA",
    "action performed by" => "Action performed by {user}",
    "2fa removed" => "2-factor authentication removed.",
    "2fa" => "2FA",
    "show deleted" => "Show deleted",
    "editing deleted account" => "You are editing an account marked as deleted.  The account will be undeleted if you press Save.",
    "manager assigned" => "Manager relationships saved.",
    "manager does not exist" => "The selected manager username does not exist.",
    "type to add a person" => "Type to add a person",
    "employees" => "Employees",
    "type to select a manager" => "Type to select a manager",
    "select a manager to view or edit employees" => "Select a manager to view or edit the assigned employees.",
    "report export" => "Reports/Export",
    "report type" => "Report type",
    "format" => "Format",
    "generate report" => "Generate report",
    "choose an option" => "Choose an option",
    "csv file" => "CSV text file",
    "ods file" => "ODS spreadsheet",
    "html file" => "HTML web page",
    "uid" => "User ID",
    "manager name" => "Manager",
    "manager username" => "Mgr. Username",
    "employee name" => "Employee",
    "employee username" => "Emp. Username",
    "permission id" => "Perm. ID",
    "permissions assigned" => "Permissions assigned.",
    "type to select a user" => "Type to select a user",
    "type to add a permission" => "Type to add a permission",
    "select a user to view or edit permissions" => "Select a user to view or edit the assigned permissions.",
    "group" => "Group",
    "groups" => "Groups",
    "group does not exist" => "That group does not exist.",
    "group members updated" => "Group members updated.",
    "group added" => "Group added.",
    "group deleted" => "Group deleted.",
    "group already exists" => "A group with that name already exists.",
    "save" => "Save",
    "next" => "Next",
    "add" => "Add",
    "delete" => "Delete",
    "new group" => "New group",
    "delete group" => "Delete group",
    "enter group name" => "Group name",
    "group management" => "Group Management",
    "group assignments" => "Group Assignments",
    "group id" => "Group ID",
    "group name" => "Group Name"
]);